# qc-dgp

#### 介绍
Data grabbing platform(DGP)数据采集平台

#### 文档结构

* `dgp`为代码目录，`gpd/tests`为测试代码目录
* `docs`为文档目录

#### 安装教程

* 确保已安装Python3
* 安装项目依赖，执行 ``

#### 特性

* 数据库使用`dbutils`连接池，并独立配置mysql的配置文件`db_config.ini`
* 平台订单数据爬取采用线程池子线程爬取，大大提升爬取速度
* 平台账号配置使用csv配置文件存储，方便修改同步，并支持直接修改后，下次获取即可生效，无需重启脚本



#### 使用说明

* 修改数据库账号配置
* 检查account和token配置
* 执行相关脚本：`nohup python3 -u get_data_hourly.py >output_get_data_hourly_202009251042.log 2>&1 &`
* 执行相关脚本：`nohup python3 -u check_order_new.py >check_order_new_202009300217.log 2>&1 &`

#### 参与贡献

* Fork 本仓库，拉取的是dev分支
* 直接在dev分支上开发,添加新的依赖后请执行 `pip freeze > requirements.txt` 或 `pipreqs --force /qc-dgp`
* 格式化代码，提交代码
* 新建 Pull Request


